View Hard and Soft Limits of a Service Resource
get
/metering/api/v1/cloudbucklimits/{accountId}/{entitlementId}
Retrieve the hard and soft limits for a resource.
Request
Path Parameters
-
accountId: string
Account name, starts with cacct.
-
entitlementId: string
Service Entitlement Id
Query Parameters
-
limitType: string
Hard or soft limt. Hard limits lead to breaches, soft to alerts.
-
resourceType: string
Resource Name.
-
serviceType: string
Service Name.
Response
Supported Media Types
- application/vnd.com.oracle.oraclecloud.metering.cloudbucklimits+json
200 Response
Success
Root Schema : CloudBuckLimits
Type:
objectTitle:
CloudBuckLimitsEncapsulates a collection of Hard and Soft Limits for a resource within a subscription.
Show Source
Nested Schema : CloudBuckLimit
Type:
objectTitle:
Show Source
CloudBuckLimit-
action(optional):
string
-
alertLevel(optional):
number
-
createdBy(optional):
string
-
createdOn(optional):
object createdOn
-
entitlementId(optional):
string
-
id(optional):
string
-
limit(optional):
number
-
limitType(optional):
string
-
maxHardLimit(optional):
string
-
modifiedBy(optional):
string
-
modifiedOn(optional):
object modifiedOn
-
resourceName(optional):
string
-
serviceName(optional):
string
-
skuPartId(optional):
string
-
status(optional):
string
-
valueType(optional):
string
Nested Schema : createdOn
Type:
objectNested Schema : modifiedOn
Type:
objectDefault Response
Unexpected error.
Examples
cURL Command
The following example shows how to retrieve soft and hard limits for resources by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.
Enter the command on a single line. Line breaks are used in this example for readability.
curl -X GET
-u joe@example.com
-H "X-ID-TENANT-NAME:myDomain"
"https://itra.oraclecloud.com/metering/api/v1/cloudbucklimits/sseyz05242hng/504299053"
Example of Request Body
There is no request body to submit with the HTTP request.
Example of Response Body
The following example shows the response body in JSON format.
{
"canonicalLink": "/metering/api/v1/cloudbucklimits/sseyz05242hng/504299053",
"items": [
{
"createdOn": "2017-05-24T15:54:18.210Z",
"entitlementId": "844328258",
"id": "844328274",
"modifiedOn": "2017-05-24T15:54:18.210Z",
"resourceName": "BLOCK_STORAGE",
"serviceName": "Compute",
"limit": 1000,
"action": "QUOTA_BREACH",
"alertLevel": 1,
"limitType": "HARD",
"valueType": "ABSOLUTE",
"status": "ACTIVE",
"maxHardLimit": "1000",
"skuPartId": "B78519"
},
{
"createdOn": "2017-05-24T15:54:18.445Z",
"entitlementId": "844328258",
"id": "844328298",
"modifiedOn": "2017-05-24T15:54:18.445Z",
"resourceName": "EIPs_UNATTACHED",
"serviceName": "Compute",
"limit": 1,
"action": "QUOTA_BREACH",
"alertLevel": 1,
"limitType": "HARD",
"valueType": "ABSOLUTE",
"status": "ACTIVE",
"maxHardLimit": "1",
"skuPartId": "B78518"
},
{
"createdOn": "2017-05-24T15:54:18.446Z",
"entitlementId": "844328258",
"id": "844328299",
"modifiedOn": "2017-05-24T15:54:18.446Z",
"resourceName": "EIPs",
"serviceName": "Compute",
"limit": 1,
"action": "QUOTA_BREACH",
"alertLevel": 1,
"limitType": "HARD",
"valueType": "ABSOLUTE",
"status": "ACTIVE",
"maxHardLimit": "1"
},
{
"createdOn": "2017-05-24T15:54:18.447Z",
"entitlementId": "844328258",
"id": "844328300",
"modifiedOn": "2017-05-24T15:54:18.447Z",
"resourceName": "OCPU_GPU",
"serviceName": "Compute",
"limit": 0,
"action": "QUOTA_BREACH",
"alertLevel": 1,
"limitType": "HARD",
"valueType": "ABSOLUTE",
"status": "ACTIVE",
"maxHardLimit": "0",
"skuPartId": "B87081"
},
{
"createdOn": "2017-05-24T15:54:18.448Z",
"entitlementId": "844328258",
"id": "844328301",
"modifiedOn": "2017-05-24T15:54:18.448Z",
"resourceName": "OCPU_IO",
"serviceName": "Compute",
"limit": 0,
"action": "QUOTA_BREACH",
"alertLevel": 1,
"limitType": "HARD",
"valueType": "ABSOLUTE",
"status": "ACTIVE",
"maxHardLimit": "0",
"skuPartId": "B87082"
},
{
"createdOn": "2017-05-24T15:54:18.449Z",
"entitlementId": "844328258",
"id": "844328302",
"modifiedOn": "2017-05-24T15:54:18.449Z",
"resourceName": "OCPU",
"serviceName": "Compute",
"limit": 1,
"action": "QUOTA_BREACH",
"alertLevel": 1,
"limitType": "HARD",
"valueType": "ABSOLUTE",
"status": "ACTIVE",
"maxHardLimit": "1",
"skuPartId": "B85644"
},
{
"createdOn": "2017-06-07T00:05:34.053Z",
"entitlementId": "844328258",
"id": "896430081",
"modifiedOn": "2017-06-07T00:08:14.545Z",
"resourceName": "OCPU",
"serviceName": "Compute",
"limit": 20,
"createdBy": "abcxyz@oracle.com",
"action": "ALERT",
"alertLevel": 2,
"limitType": "SOFT",
"valueType": "ABSOLUTE",
"status": "ACTIVE",
"skuPartId": "B85644"
}
]
}